"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.green = exports.underline = void 0;
const colors_1 = require("../constants/colors");
/**
 * Make text underlined.
 * @param {string} text
 * @returns {string}
 */
function underline(text) {
    return `${colors_1.UNDERLINED}${text}${colors_1.EOS}`;
}
exports.underline = underline;
exports.green = (text) => {
    return `${colors_1.GREEN}${text}${colors_1.EOS}`;
};
