"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.copyBase64 = void 0;
const clipboardy_1 = __importDefault(require("clipboardy"));
const decorated_console_1 = require("./decorated-console");
exports.copyBase64 = (base64, { verbose }) => {
    // console.log('verbose:', verbose);
    verbose && console.info(base64, '\n');
    decorated_console_1.decorated.info('base64 string length:', base64.length);
    clipboardy_1.default.writeSync(base64);
};
